Bug 5941 - limit "Look up Terms" click functionality
limit "Look up Terms" click functionality
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Reading Tools
2.4.3
PC Mac OS X 10.6
: P5 normal
Assigned To: Matthew Crider
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-23 15:38 PDT by James MacGregor
Modified: 2013-03-06 13:05 PST (History)
3 users (show)

See Also:
Version Reported In:
Also Affects: OCS 2.3.4


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2010-09-23 15:38:37 PDT
If the Look up Terms option in the Reading Tool is enabled, double-clicking anywhere on the screen while viewing any galley type (HTML, PDF, etc.) will cause the tool to pop up. Matt has a possible solution to this: wrap HTML galley content in a special div, and have the Look up Terms function tied to work only with content in that div, if present.
Comment 1 Alec Smecher 2012-12-12 16:21:17 PST
Shouldn't spend too much/any time on the current RT implementation, pending UI/UX refactor.
Comment 2 Michael Thessel 2013-03-06 10:52:33 PST
The containers for the galleys of individual document formats are not consistent. To fix this I tied the double click action to the following divs

* inlinePdfResizer for PDFs
* content if content element exists
* and I added a document fallback fallback as well if inlinePdfResizer and content don't exist.
Comment 3 Michael Thessel 2013-03-06 13:05:02 PST
Limit opening of reading tools to double ckicks within the galley
https://github.com/pkp/ojs/commit/c24c3c51950b075cece5d109e9b1bef28692a88b